# Cancel payment intent (Financial)

Cancel an existing Stripe payment intent. Requires tenant context for Stripe API key. FINANCIAL OPERATION - handle with care. Replaces DELETE /purchase/payment-intent/{paymentIntentId}

Endpoint: DELETE /purchases/payment-intents/{paymentIntentId}
Version: 2.0.59
Security: projectKey

## Security:

  - `projectKey` (unknown)
    apiKey in header x-project-key

## Path parameters:

  - `paymentIntentId` (string, required)

## Response 200:

  - `200` (unknown)
    Payment intent cancelled successfully

## Response 200 fields (application/json):

  - `paymentClientSecret` (object, required)
    Payment Intent ClientSecrete to complete Stripe payment

  - `paymentIntentId` (string, required)
    Payment Intent Id

